Package com.google.protobuf

# Class Descriptors.DescriptorValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.google.protobuf.Descriptors.DescriptorValidationException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Descriptors`

public static class Descriptors.DescriptorValidationException extends Exception
Thrown when building descriptors fails because the source DescriptorProtos are not valid.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets a human-readable description of the error.
`Message`
`getProblemProto()`
Gets the protocol message representation of the invalid descriptor.
`String`
`getProblemSymbolName()`
Gets the full name of the descriptor where the error occurred.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getProblemSymbolName

public String getProblemSymbolName()
Gets the full name of the descriptor where the error occurred.

### getProblemProto

public Message getProblemProto()
Gets the protocol message representation of the invalid descriptor.

### getDescription

public String getDescription()
Gets a human-readable description of the error.